OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::BytestreamToUMPHandler Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
juce::universal_midi_packets::BytestreamToUMPHandler Struct Reference

`#include <juce_UMPBytestreamInputHandler.h>`

Inheritance diagram for juce::universal_midi_packets::BytestreamToUMPHandler:

## Classes
class | Factory

## Public Member Functions
| BytestreamToUMPHandler (PacketProtocol protocol, Receiver &c)
void | reset () override
void | pushMidiData (const void *data, int bytes, double time) override
Public Member Functions inherited from juce::universal_midi_packets::BytestreamInputHandler

## Public Attributes
Receiver & | recipient
BytestreamToUMPDispatcher | dispatcher

## Detailed Description

Parses a continuous MIDI 1.0 bytestream, and emits full messages in the requested UMP format.

Definition at line 96 of file juce_UMPBytestreamInputHandler.h.

## Constructor & Destructor Documentation

## ◆ BytestreamToUMPHandler()

juce::universal_midi_packets::BytestreamToUMPHandler::BytestreamToUMPHandler | ( | PacketProtocol | protocol,
|  | Receiver & | c )
| inline

Definition at line 98 of file juce_UMPBytestreamInputHandler.h.

## Member Function Documentation

## ◆ pushMidiData()

void juce::universal_midi_packets::BytestreamToUMPHandler::pushMidiData | ( | const void * | data,
|  | int | bytes,
|  | double | time )
| inlineoverridevirtual

Implements juce::universal_midi_packets::BytestreamInputHandler.

Definition at line 126 of file juce_UMPBytestreamInputHandler.h.

## ◆ reset()

void juce::universal_midi_packets::BytestreamToUMPHandler::reset | ( |  | ) |
| inlineoverridevirtual

Implements juce::universal_midi_packets::BytestreamInputHandler.

Definition at line 124 of file juce_UMPBytestreamInputHandler.h.

## Member Data Documentation

## ◆ dispatcher

BytestreamToUMPDispatcher juce::universal_midi_packets::BytestreamToUMPHandler::dispatcher

Definition at line 136 of file juce_UMPBytestreamInputHandler.h.

## ◆ recipient

Receiver& juce::universal_midi_packets::BytestreamToUMPHandler::recipient

Definition at line 135 of file juce_UMPBytestreamInputHandler.h.

The documentation for this struct was generated from the following file:

- juce_UMPBytestreamInputHandler.h